@echo off
cd /d %~dp0
set VENV_DIR=%~dp0venv
if not exist "%VENV_DIR%" (
    echo Virtual environment not found in %VENV_DIR%
    pause
    exit /b
)

set PYTHONIOENCODING=utf-8
echo Starting ComfyUI...
"%VENV_DIR%\Scripts\python.exe" main.py --listen
pause
